Scilab Function
Last update : 16/06/2004

rotate - rotation d'un ensemble de points dans le plan

### Calling Sequence

  `xy1=rotate(xy,[theta,orig])`

### Parameters

- `xy` : matrice de taille (2,n).
- `xy1` : matrice de taille (2,n).
- `theta` : réel, angle en radian (0 par défaut).
- `orig` : centre de la rotation ([0;0] par défaut)

### Description

`rotate` effectue une rotation d'angle theta `theta` :

`xy1(:,i) = M(theta) *xy (:,i) + yesg`

où `M` représente la matrice de rotation correspondante.

### Examples

    xsetech([0,0,1,1],[-1,-1,1,1])
    xy=[(0:0.1:10);sin(0:0.1:10)]/10;
    for i=2*%pi*(0:10)/10,
      [xy1]=rotate(xy,i);
      xpoly(xy1(1,:),xy1(2,:),"lines")
    end